Bug 417011 - firefox mismatched/incorrect debuginfo package in repository
Summary: firefox mismatched/incorrect debuginfo package in repository
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
(Show other bugs)
Version: 8
Hardware: i386 Linux
low
medium
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-12-09 03:57 UTC by tengel
Modified: 2018-04-11 10:59 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-11 02:30:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description tengel 2007-12-09 03:57:46 UTC
Description of problem:

Firefox is at 2.0.0.10-2.fc8 in the main/devel repositories, yet the debuginfo
repository still has 2.0.0.8-2.fc8.

Version-Release number of selected component (if applicable):

2.0.0.10-2.fc8

How reproducible:

100% as of 2007-12-08 19:55 PST

Steps to Reproduce:
1. yum --enablerepo=fedora-debuginfo list firefox*
2.
3.
  
Actual results:

Installed Packages
firefox.i386                             2.0.0.10-2.fc8         installed       
firefox-devel.i386                       2.0.0.10-2.fc8         installed       
Available Packages
firefox-debuginfo.i386                   2.0.0.8-2.fc8          fedora-debuginfo



Expected results:

2.0.0.10-2.fc8 should be available instead of 2.0.0.8-2.fc8

Additional info:

Debuginfo needed to diagnose Flash crashing on every other/random video,
important I get the correct bits installed.

Comment 1 Matěj Cepl 2007-12-10 13:26:34 UTC
You need to use the same repository for debuginfo as for the main package. I.e.,
when you have enabled fedora-updates (or fedora-updates-testing), you need to
enable equivalent -debuginfo repository (fedora-updates-debuginfo, or
fedora-updates-testing-debuginfo).

Give me the output of this command, please:

yum repolist

Thanks a lot.

Comment 2 tengel 2007-12-11 02:30:48 UTC
Aha, thanks - I was completely unaware of this and did not understand the
methodology. Using an '--enablerepo=updates-debuginfo' (not
fedora-updates-debuginfo) gives the expected result, closing bug with NOTABUG
status. Apologies for the mistaken bug report.



Note You need to log in before you can comment on or make changes to this bug.